/*
 * Rotmole / Rotmovie source code
 *
 * $RCSfile: alloc_atom_list.c,v $
 *
 * $Log: alloc_atom_list.c,v $
 * Revision 3.0  1994/11/21 14:31:21  brabec
 * *** empty log message ***
 *
 */

#include <stdio.h>

#include "defs.h"
#include "types.h"
#include "protos.h"

/*
 * Returns a newly allocated and initialized ATOM_LIST pointer
 *
 * Input: none
 * Output: pointer to allocated memory
 */

ATOM_LIST *alloc_atom_list( )
{

   ATOM_LIST *cur_atom;


   cur_atom = (ATOM_LIST *) acquire( sizeof(ATOM_LIST) );

   if (cur_atom == NULL) return( cur_atom );

/* Clear the atom info */

   cur_atom->next = NULL;
   cur_atom->sequence = 0;
   cur_atom->x = 0.0;
   cur_atom->y = 0.0;
   cur_atom->z = 0.0;
   cur_atom->info = NULL;

   return( cur_atom );

}

/* end of alloc_atom_list.cxx */
