#include "vtkRenderer.h"
#include "vtkRenderWindow.h"

#include "defs.h"
#include "types.h"
#include "protos.h"

void draw_frame(vtkRenderer *ren, vtkRenderWindow *renWindow, DRAW_FLAGS *flags,
	   FRAME_LIST *frame, ELEMENT_LIST *element_head){

  // First delete the contents of the current frame
  delete_frame(ren, renWindow);
  
  // Initialize actors for the current frame
  init_actors(ren, &draw_flags, frame, element_head);

  // Render the scene in the VTK window
  renWindow->Render();
}
