/*
 * Rotmole / Rotmovie source code
 *
 * $RCSfile: set_string.c,v $
 *
 * $Log: set_string.c,v $
 * Revision 3.0  1994/11/21 14:31:21  brabec
 * *** empty log message ***
 *
 */

#include <stdio.h>
#include <string.h>
#include <malloc.h>

#include "defs.h"
#include "types.h"
#include "protos.h"

/*
 * This routine sets the first string to the value of the second.
 * It will remove and deallocate any old data, and allocate space
 * for the new string.
 *
 * Input: pointer to string variable, string to copy
 * Output: filled string varable
 */

void set_string(char **target, char *source)
{

   if (*target != NULL) 
      free( (void *) *target );

   *target = (char *) acquire( strlen(source)+1 );
   strcpy( *target, source );

}


/* end of set_string.cxx */
