/*
 * Rotmole / Rotmovie source code
 *
 * $RCSfile: usage.c,v $
 *
 * $Log: usage.c,v $
 * Revision 3.0  1994/11/21 14:31:21  brabec
 * *** empty log message ***
 *
 */

#include <stdio.h>

#include "defs.h"
#include "types.h"
#include "protos.h"

void usage()  
{
   fprintf(stderr,"Usage: %s [options] [ input-file [ table-file ] ]\n",
           PROGNAME );
   fprintf(stderr,"\n" );
   fprintf(stderr,"Options are:\n" );
   //fprintf(stderr,"     -a {on,off} : Show axes \n" );
   //fprintf(stderr,"     -b {on,off} : Draw bonds \n" );
   //fprintf(stderr,"     -e {on,off} : Show element labels \n" );
   //fprintf(stderr,"     -n {on,off} : Show sequence labels \n" );
   //fprintf(stderr,"     -o {on,off} : Orthogonal projection \n" );

   //fprintf(stderr,"     -f {2-10}   : Sphere drawing size \n" );
   //fprintf(stderr,"     -s {0-2}    : Sphere complexity \n" );
   //fprintf(stderr,"     -d {2-10}   : Bond drawing size \n" );
   //fprintf(stderr,"     -q {0-2}    : Bond complexity \n" );

   //fprintf(stderr,"     -m <file>   : Matrix file \n");
   fprintf(stderr,"     -t <file>   : Table file \n");

   fprintf(stderr,"     -B          : Don't calculate bonds \n" );
#ifdef MOVIE
   //fprintf(stderr,"     -F {on,off} : Frame Counter \n" );
   fprintf(stderr,"     -K <number> : Number of Frames to Skip \n" );
   fprintf(stderr,"     -S <number> : Stride for Reading Frames \n" );
   fprintf(stderr,"     -X <number> : Maximum Number of Frames to Read\n" );
#endif
   fprintf(stderr,"     -h          : help (this message) \n" );
   exit (-1);
}


/* end of usage.cxx */
