install_dir=$1
share_dir=$2

echo ""
echo "Installing program files in $install_dir"
echo "Installing data files in $share_dir"
echo ""

if [ -d $share_dir ] ; then
echo "$share_dir already exits."
else
mkdir $share_dir
fi

echo ""
echo "Copying files..."

cp rotmovie $install_dir
cp dens2vtk $install_dir
cp pixmaps/* $share_dir
cp rmtable $share_dir/.rmtable
cp README $share_dir

echo "Done"

exit 0
