#include <stdio.h>
#include <string.h>

#include "defs.h"
#include "types.h"
#include "protos.h"


/* This function simply counts the number of elements in the
   element table, ignoring the 4 basic elements. 

   Input: element list
   Output: number of elements in the list 
*/

int count_elements(ELEMENT_LIST *head){
  int count = 0;
  
  while(head != NULL){
    if( strncmp(head->label, BACKG_LABEL, LABEL_LEN) != 0 &&
	strncmp(head->label, BONDC_LABEL, LABEL_LEN) != 0 &&
	strncmp(head->label, AXISC_LABEL, LABEL_LEN) != 0 &&
	strncmp(head->label, FRMCT_LABEL, LABEL_LEN) != 0 ){ 
     count++;
    }
    head = head->next;
  }
  
  return count;
}
