/*
 * Rotmole / Rotmovie source code
 *
 * $RCSfile: local_inits.h,v $
 *
 * $Log: local_inits.h,v $
 * Revision 3.0  1994/11/21 14:31:21  brabec
 * *** empty log message ***
 *
 */

/* This file contains all the variables that are local to main */
/* that require initialization                                 */

   DRAW_FLAGS draw_flags = 
     {
       true,		/* show_axis		*/
       false,		/* show_seq_labs	*/
       false,		/* show_chr_labs	*/
       true,		/* draw_bonds		*/
       true,            /* draw_atoms           */
       false,           /* draw_surfaces        */
       false,		/* ortho_proj		*/
#ifdef MOVIE
       true,		/* frame_ctr		*/
#endif
       false,		/* video_screen		*/
       true,		/* calc_bonds		*/
       NORM_SPH,	/* sphr_complex		*/
       LINE_BOND,	/* bond_complex		*/
#ifdef MOVIE
       0,		/* frame_skip		*/
       1,		/* frame_stride		*/
       1000,		/* max_frames		*/
#endif
       1.0,		/* zoom_level		*/
       0.40,		/* sphr_size		*/
       0.40,		/* bond_size		*/
       0.0,		/* maximum radius	*/
       0.0,             /* avgerage atom radius */
       { 0.294, 0.294, 0.294, 0L }, /* back_color	*/
       { 0.619, 0.619, 0.000, 0L }, /* bond_color	*/
       { 0.784, 0.000, 0.784, 0L }  /* axis_color	*/
#ifdef MOVIE
     , { 0.300, 0.700, 0.800, 0L }  /* cntr_color	*/
#endif
     } ;

#ifdef MOVIE

   VCR_FLAGS vcr_flags =
     {
       0,		/* motion_dir		*/
       0,		/* motion_mode		*/
       up,		/* rframe button */
       up,		/* rplay button */
       up,		/* stop button */
       up,		/* fplay button */
       up,		/* fframe button */
       up,		/* mode button */
       up,		/* rec button */
       up		/* slider button */
     } ;

   VCR_INFO vcr_info =
     {
       {  20L, 219L, 754L, 833L },	/* prefs	*/
       { 0.75, 0.75, 0.75, 0L }, /* back_color	*/
       200L, 80L,			/* window size	*/
       7				/* num_buttons	*/
     } ;

   BUTTON_INFO control_buttons[] =
     {
       { 105L, 145L,  45L,  75L, "|>"       , false },
       {  55L,  95L,  45L,  75L, "<|"       , false },
       { 155L, 195L,  45L,  75L, ">>"       , false },
       {   5L,  45L,  45L,  75L, "<<"       , false },
       {   5L,  65L,   5L,  35L, "Loop"     , false },
       {  75L, 125L,   5L,  35L, "Stop"     , false },
       { 135L, 195L,   5L,  35L, "YoYo"     , false }
     } ;

#endif

   FILE_INFO file_info = 
     {
       NULL,		/* position file name		*/
       NULL,		/* element table filename	*/
       NULL,		/* projection matrix file name	*/
       NULL,		/* print file name		*/
       1,		/* print file number		*/
       1		/* save file number		*/
     };

/* end of local_inits.h */
