/*
 * Rotmole / Rotmovie source code
 *
 * $RCSfile: write_rmf_format.c,v $
 *
 * $Log: write_rmf_format.c,v $
 * Revision 3.0  1994/11/21 14:31:21  brabec
 * *** empty log message ***
 *
 */

#include <stdio.h>

#include "defs.h"
#include "types.h"
#include "protos.h"

/*
 * Writes the given frame to an open file in rmf format.
 *
 * Input: current frame, file
 * Output: to file 
 */

void write_rmf(FRAME_LIST *cur, FILE *ofil){

   ATOM_LIST *atom;


   /* write the coordinates */

   for (atom = cur->atoms; atom != NULL; atom = atom->next) {

     fprintf(ofil,"%s %f %f %f\n",
             atom->info->label, atom->x, atom->y, atom->z );

   } /* for atom */

}

/* end of write_rmf_format.cxx */
